#include <QtGui>
#include "dialogoop.h"
#include "tableoop.h"
#include "classgrup.h"


dialogOOP::dialogOOP(QWidget *parent)
	: QDialog(parent)
{

	setupModel();

    numLabel = new QLabel(tr(" :"));
    numEdit = new QLineEdit();

    modelLabel = new QLabel(tr(":"));
	modelComboBox = new QComboBox;
	modelComboBox->addItem(tr(" 1"));
	modelComboBox->addItem(tr(" 2"));
	modelComboBox->addItem(tr(" 3"));

    spisokLabel = new QLabel(tr("  :"));
	spisokEdit = new QLineEdit();

    parametriLabel = new QLabel(tr(" "));
    //tableParam = new QTableWidget(1,2,0);
	tableParam = new TableOOP(0);

    nextButton = new QPushButton(tr("&Next"));
    previousButton = new QPushButton(tr("&Previous"));
    newButton = new QPushButton(tr("&New"));
    delButton = new QPushButton(tr("&Del"));


	// 

    mapper = new QDataWidgetMapper(this);
    mapper->setModel(model);
    mapper->addMapping(numEdit, 0);
    mapper->addMapping(modelComboBox, 1);
    mapper->addMapping(spisokEdit, 2);
    mapper->addMapping(tableParam, 3);

    connect(previousButton, SIGNAL(clicked()),
            mapper, SLOT(toPrevious()));
    connect(nextButton, SIGNAL(clicked()),
            mapper, SLOT(toNext()));
    connect(mapper, SIGNAL(currentIndexChanged(int)),
            this, SLOT(updateButtons(int)));
	//

    QGridLayout *layout = new QGridLayout();
    layout->addWidget(numLabel, 0, 0, 1, 1);
    layout->addWidget(numEdit, 0, 1, 1, 1);
    layout->addWidget(modelLabel, 1, 0, 1, 1);
    layout->addWidget(modelComboBox, 1, 1, 1, 1);
    layout->addWidget(spisokLabel, 2, 0, 1, 1);
    layout->addWidget(spisokEdit, 2, 1, 1, 1);
    layout->addWidget(tableParam, 3, 1, 1, 1);
	layout->addWidget(previousButton, 0, 2, 1, 1);
	layout->addWidget(nextButton, 0, 3, 1, 1);
    layout->addWidget(newButton, 1, 2, 1, 1);
    layout->addWidget(delButton, 1, 3, 1, 1);
    setLayout(layout);

    setWindowTitle(tr(" "));
    
	mapper->toFirst();

	ui.setupUi(this);

}

void dialogOOP::setupModel(){

	model = new QStandardItemModel(1, 2, this);

}

//    / 
void dialogOOP::updateButtons(int row)
{
    previousButton->setEnabled(row > 0);
    nextButton->setEnabled(row < model->rowCount() - 1);
	delButton->setEnabled(row > 0);
}